<template>
  <div class="main">
    <div class="wrapper dynamic">
      <div class="dynamic_l">
        <h4>
          明科 > <span style="cursor: pointer;color: #1890ff;" @click="jumpview()">新闻资讯</span> {{data.SubjClasName && '> '}}
          <span v-text="data.SubjClasName" style="cursor: pointer;color: #1890ff;" @click="jumpview(data.SubjClasName)"></span>
          <span v-text="data.Title1 && '> ' + data.Title1"></span>
        </h4>
        <h2 class="dynamic_title" v-text="data.Title1"></h2>
        <h3 class="dynamic_subtitle" v-if="data.SubjClasName" v-text="data.SubjClasName + (data.SubjClasName && data.CompletedTime && ' | ') + data.CompletedTime"></h3>
        <div class="dynamic_content" style="padding-top: 0.2rem;min-height: 30vh;" v-html="data.Ltext">
        </div>
      </div>
      <div class="dynamic_r">
        <h3 v-if="data.NewsHot">热门文章</h3>
        <ul class="dynamic_ul">
          <li v-for="(item, index) in data.NewsHot" :key="index">
            <img style="max-width: 124px;max-height: 80px;cursor: pointer;" :src="item.Image1" alt="" @click="jumpmenu(item.ID)">
            <div>
              <p v-text="item.Title1" style="width: 1.36rem;"></p>
              <span v-text="item.CompletedTime"></span>
            </div>
          </li>
        </ul>
      </div>
    </div>
    <!-- <div class="wechat p_hide">
      <div class="title_a">媒体合作</div>
      <div class="title_c">
        <img src="../../img/code.jpg" alt="">
      </div>
      <div class="title_b">更多动态请关注</div>
      <div class="title_b">明科企业官方公众号</div>
    </div> -->
    <div class="wrapper dynamic_b">
      <p v-if="data.LastTitle">
        <span :style="data.LastID && 'cursor:pointer;'" @click="jumpmenu(data.LastID)">
          上一篇：{{data.LastTitle}}
          <span class="tip" v-text="data.LastSubjClasNameu + (data.LastSubjClasNameu && data.LastCompletedTime && ' | ') + data.LastCompletedTime"></span>
        </span>
      </p>
      <p v-if="data.NextTitle">
        <span :style="data.NextID && 'cursor:pointer;'" @click="jumpmenu(data.NextID)">
          下一篇：{{data.NextTitle}}
          <span class="tip" v-text="data.NextSubjClasNameu + (data.NextSubjClasNameu && data.NextCompletedTime && ' | ') + data.NextCompletedTime"></span>
        </span>
      </p>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      data: {}
    }
  },
  watch: {
    $route () {
      this.menuId = this.$route.params.menuId
      this.loaddata()
    }
  },
  methods: {
    jumpview (name) {
      sessionStorage.setItem('newstype', name)
      this.$router.push({name: 'news'})
    },
    jumpmenu (menuId) {
      if (!menuId) return
      menuId = menuId + '.html'

      this.$router.push({name: 'dynamicdetail', params: {menuId: menuId}})
    },
    loaddata () {
      let param = {
        func: 'Web_News_GetDetail',
        ID: this.menuId.replace('.html', '')
      }
      this.Service.getParamData(param).then(res => {
        this.data = res

        if (res.Title1) {
          document.title = res.Title1 + '-明科云'
        } else {
          document.title = '新闻资讯-明科云'
        }
      })
    }
  },
  created () {
    this.menuId = this.$route.params.menuId
  },
  mounted () {
    this.loaddata()
  }
}
</script>

<style lang="less" scoped>
  .dynamic {
    padding-top: 0.31rem;
    display: flex;
  }
  .dynamic_l {
    padding: 0 0.19rem 0.4rem 0;
    border-bottom: 1px solid #DBDBDB;
    h3 {
      font-size: 0.16rem;
      color: #3A3A3C;
    }
    .dynamic_title {
      margin: 0.43rem 0 0.19rem;
      text-align: center;
      font-size: 0.24rem;
      font-weight: bold;
    }
    .dynamic_subtitle {
      text-align: center;
      color: #838383;
      font-size: 0.16rem;
      padding-bottom: 0.19rem;
      border-bottom: 1px solid #DBDBDB;
    }
    .dynamic_content {
      p {
        font-size: 0.14rem;
        color: #3F3F3F;
        line-height: 0.24rem;
        margin: 0.3rem 0;
      }
    }
  }
  @media (max-width: 750px) and (min-width: 0) {
    .wechat {
      margin-top: 0.77rem;
      margin-bottom: 0.5rem;
      .title_a {
        text-align: center;
        font-size:0.36rem;
        font-family:PingFang-SC-Medium;
        font-weight:500;
        color:rgba(55,55,55,1);
        line-height:0.21rem;
        opacity:0.83;
        margin-bottom: 0.39rem;
      }
      .title_b {
        text-align: center;
        font-size:0.28rem;
        font-family:PingFang-SC-Medium;
        font-weight:500;
        color:rgba(44,44,45,1);
      }
      .title_c {
        text-align: center;
        img {
          width: 1.5rem;
        }
      }
    }

    .dynamic {
      margin-top: 0.9rem;
      width: 100%;
    }
    .dynamic_l {
      .dynamic_title {
        font-size: 0.32rem;
      }
      .dynamic_subtitle {
        font-size: 0.26rem;
      }
    }
    .dynamic_b-m {
      width: 100%;
      margin: .5rem 0;
      h3 {
        width: 100%;
        text-align: center;
      }
    }
    .dynamic_b {
      padding: .4rem 0;
      p {
        margin-bottom: 0.2rem;
      }
      span.tip {
        display: none;
      }
    }
    .dynamic_r {
      display: none;
    }
    .dynamic_l {
      width: 100%;
      padding: 0 .3rem;
      border: 0;
      > h4 {
        display: none;
      }
      .dynamic_content {
        p {
          font-size: .28rem;
          line-height: .4rem;
        }
      }
    }
  }
  @media (min-width: 751px) {
    .dynamic {
      display:flex;
    }
    .dynamic_b-m {
      display: none;
    }
    .dynamic_b {
      padding: .4rem 0;
      p {
        margin: .1rem 0;
        span.tip {
          font-family: MicrosoftYaHei;
          font-weight: 400;
          color: rgba(175,173,173,1);
          margin-left: 0.2rem;
        }
      }
    }
    .dynamic_l {
      flex: 0.75;
    }
    .dynamic_r {
      flex:0.25;
      margin-top: 0.2rem;
      h3 {
        font-size: 0.16rem;
        color:#3A3A3C;
        font-weight: bold;
      }
      .dynamic_ul {
        padding-top: 0.06rem;
        width: 100%;
        li {
          display: flex;
          margin-top: 0.1rem;
          img {
            margin-right: .1rem;
          }
          p {
            width: 1.26rem;
            font-size: 0.10rem;
            color: #676767;
            line-height: 0.20rem;
          }
          span {
            font-size: 0.06rem;
            color: #AFADAD;
          }
        }
      }
    }
  }
</style>
